curl --request GET \
--url https://backendapi.cloud.corbado.io/v2/users/{userID}/credentials \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://backendapi.cloud.corbado.io/v2/users/{userID}/credentials"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://backendapi.cloud.corbado.io/v2/users/{userID}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credentials": [
{
"id": "cre-12345",
"credentialID": "<string>",
"attestationType": "<string>",
"transport": [
"usb"
],
"backupEligible": true,
"backupState": true,
"authenticatorAAGUID": "<string>",
"sourceOS": "<string>",
"sourceBrowser": "<string>",
"lastUsed": "<string>",
"lastUsedMs": 123,
"created": "<string>",
"createdMs": 123,
"status": "pending",
"aaguidDetails": {
"aaguid": "<string>",
"name": "<string>",
"iconLight": "<string>",
"iconDark": "<string>"
},
"tags": [
"<string>"
]
}
],
"paging": {
"page": 1,
"totalPages": 123,
"totalItems": 123
}
}{
"httpStatusCode": 123,
"message": "OK",
"requestData": {
"requestID": "req-557...663",
"link": "https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx"
},
"runtime": 0.06167686,
"error": {
"type": "<string>",
"details": "<string>",
"validation": [
{
"field": "<string>",
"message": "<string>"
}
],
"links": [
"<string>"
]
},
"data": {}
}List passkeys for a user
Lists a user’s passkeys. Both sort and filter support userID, created, status,
backupState, browserName and osName. See the parameters for sort directions and filter operators.
Required API key permission: credentials:read.
Authorizations
Basic authentication is used to authenticate requests to the Backend API. The username is the project ID and the password is the API secret.
The project ID and API secret can be found in the Management Console.
Path Parameters
Unique identifier of the user. Format: usr-<number>.
"usr-4693224802260150919"
Query Parameters
Field and direction to sort results. Use the format fieldName:asc or fieldName:desc.
"createdAt:desc"
Filter results by specific fields and conditions. Format: <field>:<operator>:<value>.
Supported operators include:
eq: equals (e.g.email:eq:mail@example\.commatches items where email equals mail@example.com)gt: greater than (e.g.created:gt:2021-01-01T00:00:00matches items created after Jan 1, 2021)lt: less than (e.g.created:lt:2021-01-01T00:00:00matches items created before Jan 1, 2021)
The page number to retrieve for paginated results.
1
The number of items to return per page. Useful for pagination.
20
Whether to include all status types (including deleted) in the response. Default is false, which excludes deleted items.
Was this page helpful?